You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@servicecomb.apache.org by ni...@apache.org on 2018/03/06 00:31:18 UTC

[incubator-servicecomb-saga] branch master updated (391ecb2 -> 86cee60)

This is an automated email from the ASF dual-hosted git repository.

ningjiang pushed a change to branch master
in repository https://gitbox.apache.org/repos/asf/incubator-servicecomb-saga.git.


    from 391ecb2  SCB-346 Added the alpha-server into binary release
     new 5dcc36d  Prepare 1.0.0-m1 Release
     new 86cee60  Add Release Server ID

The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.


Summary of changes:
 .travis.settings.xml |  15 +++++++++++++++
 .travis.yml          |   2 +-
 gpg-sec.tar.enc      | Bin 0 -> 10256 bytes
 scripts/deploy.sh    |  51 +++++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 67 insertions(+), 1 deletion(-)
 create mode 100644 gpg-sec.tar.enc
 create mode 100644 scripts/deploy.sh

-- 
To stop receiving notification emails like this one, please contact
ningjiang@apache.org.

[incubator-servicecomb-saga] 01/02: Prepare 1.0.0-m1 Release

Posted by ni...@apache.org.
This is an automated email from the ASF dual-hosted git repository.

ningjiang pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/incubator-servicecomb-saga.git

commit 5dcc36d4033d6b0c1a322049c14aae0b5acee41c
Author: asifdxtreme <mo...@huawei.com>
AuthorDate: Mon Mar 5 21:53:30 2018 +0800

    Prepare 1.0.0-m1 Release
---
 .travis.settings.xml |  10 ++++++++++
 .travis.yml          |   2 +-
 gpg-sec.tar.enc      | Bin 0 -> 10256 bytes
 scripts/deploy.sh    |  51 +++++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 62 insertions(+), 1 deletion(-)

diff --git a/.travis.settings.xml b/.travis.settings.xml
index 293c11c..a9f447e 100755
--- a/.travis.settings.xml
+++ b/.travis.settings.xml
@@ -24,4 +24,14 @@
       <password>${env.SONATYPE_PASSWORD}</password>
     </server>
   </servers>
+    <profiles>
+        <profile>
+          <id>passphrase</id> <!-- give it the name of your project -->
+          <properties>
+            <gpg.homedir>/home/travis/build/apache/incubator-servicecomb-saga</gpg.homedir>
+            <gpg.keyname>2DE9D2F9</gpg.keyname>
+            <gpg.passphrase>${env.MYPASSP}</gpg.passphrase>
+          </properties>
+        </profile>
+    </profiles>
 </settings>
diff --git a/.travis.yml b/.travis.yml
index aadcabc..9e11d69 100755
--- a/.travis.yml
+++ b/.travis.yml
@@ -28,4 +28,4 @@ script:
 - mvn clean verify -f saga-demo -Pdemo -Pdocker -Ddocker.useColor=false -Ddocker.showLogs
 - mvn clean verify -f acceptance-tests -Pdemo -Pdocker -Ddocker.useColor=false -Ddocker.showLogs
 after_success:
-- if [ "$TRAVIS_PULL_REQUEST" = "false" ]; then mvn deploy -DskipTests --settings .travis.settings.xml; fi
+- if [ "$TRAVIS_PULL_REQUEST" = "false" ]; then bash -x scripts/deploy.sh ; fi
diff --git a/gpg-sec.tar.enc b/gpg-sec.tar.enc
new file mode 100644
index 0000000..a0b26c9
Binary files /dev/null and b/gpg-sec.tar.enc differ
diff --git a/scripts/deploy.sh b/scripts/deploy.sh
new file mode 100644
index 0000000..46d709c
--- /dev/null
+++ b/scripts/deploy.sh
@@ -0,0 +1,51 @@
+#!/usr/bin/env bash
+## ---------------------------------------------------------------------------
+## Licensed to the Apache Software Foundation (ASF) under one or more
+## contributor license agreements.  See the NOTICE file distributed with
+## this work for additional information regarding copyright ownership.
+## The ASF licenses this file to You under the Apache License, Version 2.0
+## (the "License"); you may not use this file except in compliance with
+## the License.  You may obtain a copy of the License at
+##
+##      http://www.apache.org/licenses/LICENSE-2.0
+##
+## Unless required by applicable law or agreed to in writing, software
+## distributed under the License is distributed on an "AS IS" BASIS,
+## WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+## See the License for the specific language governing permissions and
+## limitations under the License.
+## ---------------------------------------------------------------------------
+#bin/sh
+
+##Check if the commit is tagged commit or not
+TAGGEDCOMMIT=$(git tag -l --contains HEAD)
+if [ "$TAGGEDCOMMIT" == "" ]; then
+        TAGGEDCOMMIT=false
+else
+        TAGGEDCOMMIT=true
+fi
+echo $TAGGEDCOMMIT
+
+if [ "$TAGGEDCOMMIT" ==   "true" ]; then
+    echo "Decrypting the key"
+		openssl aes-256-cbc -K $encrypted_03bd1399b9b3_key -iv $encrypted_03bd1399b9b3_iv -in gpg-sec.tar.enc -out .github/gpg-sec.tar -d
+    tar xvf gpg-sec.tar
+		echo "Deploying Staging Release"
+		mvn deploy -DskipTests --settings .travis.settings.xml -Ppassphrase -Prelease 
+    if [ $? == 0 ]; then
+			echo "${green}Staging Deployment is Success, please log on to Nexus Repo to see the staging release..${reset}"
+		else
+			echo "${red}Staging Release deployment failed.${reset}"
+			exit 1
+		fi
+else
+		echo "Deploy a Non-Signed Staging Release"
+		mvn deploy -DskipTests --settings .travis.settings.xml
+    if [ $? == 0 ]; then
+			echo "${green}Snapshot Deployment is Success, please log on to Nexus Repo to see the snapshot release..${reset}"
+		else
+			echo "${red}Snapshot deployment failed.${reset}"
+			# No need to exit 1 here as the snapshot depoyment will fail for private builds as decryption of password is allowed for ServiceComb repo and not forked repo's.
+		fi
+fi
+echo "Deployment Completed"

-- 
To stop receiving notification emails like this one, please contact
ningjiang@apache.org.

[incubator-servicecomb-saga] 02/02: Add Release Server ID

Posted by ni...@apache.org.
This is an automated email from the ASF dual-hosted git repository.

ningjiang pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/incubator-servicecomb-saga.git

commit 86cee600dd8560b2ac6b17424c130d1f5abb5739
Author: Mohammad Asif Siddiqui <mo...@huawei.com>
AuthorDate: Mon Mar 5 20:35:30 2018 +0530

    Add Release Server ID
---
 .travis.settings.xml | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/.travis.settings.xml b/.travis.settings.xml
index a9f447e..f7ed272 100755
--- a/.travis.settings.xml
+++ b/.travis.settings.xml
@@ -23,6 +23,11 @@
       <username>${env.SONATYPE_USERNAME}</username>
       <password>${env.SONATYPE_PASSWORD}</password>
     </server>
+    <server>
+      <id>apache.releases.https</id>
+      <username>${env.SONATYPE_USERNAME}</username>
+      <password>${env.SONATYPE_PASSWORD}</password>
+    </server>    
   </servers>
     <profiles>
         <profile>

-- 
To stop receiving notification emails like this one, please contact
ningjiang@apache.org.